/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.script.el.util;

import java.util.Enumeration;
import javax.servlet.ServletRequest;

/**
 *
 */
public class RequestAttributeMap
    extends AbstractAttributeMap
    implements BindingContext {

    private ServletRequest _request = null;

    public RequestAttributeMap(ServletRequest request) {
        _request = request;
    }

    public Object unwrap() {
        return _request;
    }

    protected Object getValue(Object key) {
        return _request.getAttribute(key.toString());
    }

    protected Object putValue(Object key, Object value) {
        String strKey = key.toString();
        Object prev = _request.getAttribute(strKey);

        _request.setAttribute(strKey, value);

        return prev;
    }

    protected Enumeration getKeysEnumeration() {
        return _request.getAttributeNames();
    }
}
